Skip to main content
POST
/
getAccessControl
Get Access Control
curl --request POST \
  --url https://gateway.varchev.com/customer/getAccessControl \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'tenantId: <tenantid>' \
  --data '
{
  "userId": "<string>",
  "application": "b2b_wallet"
}
'
[
  {
    "userId": "<string>",
    "groupId": "<string>",
    "groupName": "<string>",
    "tenantId": "<string>",
    "roles": [
      {
        "componentId": "<string>",
        "componentName": "<string>",
        "accessRight": "read",
        "application": "b2b_wallet"
      }
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.varchev.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

tenantId
string
required

Tenant/Owner id

Body

application/json
userId
string
application
enum<string>
Available options:
b2b_wallet,
b2c_wallet,
admin_wallet

Response

Get Access Control Response

userId
string
groupId
string
groupName
string
tenantId
string
roles
object[]